#version 120

varying vec2 texcoord;
varying vec4 color;
varying vec2 pixel_position;

uniform sampler2D texture0;
uniform vec4 colDiffuse;

void main() {
    gl_FragColor = texture2D(texture0, texcoord) * colDiffuse;
}
